base_dir=$(readlink -f $(dirname $0))

function get_version() {
        version_py=$base_dir/cloudinit/version.py
        cat $version_py | awk -F' |=' '/^_version\s+=\s+/ {print $NF}' | sed "s/'//g"
}

function build() {
        rm -rf $base_dir/dist/
        rm -rf $base_dir/cloud_init.egg-info/
        rm -rf $base_dir/build

        pkg_name=cloud-init-$(get_version)
        pkg_file=${pkg_name}.tgz
        build_dir=/tmp/build-cloudinit
        mkdir -p $build_dir

        rsync -a $base_dir/* $build_dir/$pkg_name \
          --exclude .git \
          --exclude .pyc \
          --exclude .gitignore
        cd $build_dir

        tar -czf $pkg_file $pkg_name
        md5sum $build_dir/$pkg_file
}

build
