
from cloudinit import log as logging
from cloudinit.settings import PER_ALWAYS

LOG = logging.getLogger(__name__)

frequency = PER_ALWAYS

def handle(name, cfg, cloud, log, _args):
    "upgrade the cloud-init itself"

    if not hasattr(cloud.datasource, 'support_upgrade_cloudinit') or \
       not cloud.datasource.support_upgrade_cloudinit:
        log.debug("the datasource %s not support upgrade cloudinit, do nothing" % cloud.datasource)
        return

    upgrade_handler = cloud.datasource.upgrade_handler

    try:
        upgrade_handler(name, cfg, cloud, log, _args)
    except:
        log.debug("failed to upgrade cloud init")
        return
