from logging import StreamHandler
from serial import Serial
import logging
import sys

LOGFILE_FORMAT = "[%(asctime)s %(process)d %(thread)d] %(levelname)s (%(module)s:%(lineno)d) %(message)s"

__all__ = ['log',]


class SerialHandler(StreamHandler):
    def __init__(self, port, Baudrate=115200):
        self.baudrate = Baudrate
        self.port = port
        StreamHandler.__init__(self, self._open())

    def _open(self):
        try:
            stream = Serial(self.port, self.baudrate)
        except Exception,ex:
            stream = sys.stderr
            pass
        return stream

   
    def close(self):
       
        if self.stream:
            self.flush()
            if hasattr(self.stream, "close"):
                self.stream.close()
            StreamHandler.close(self)
            self.stream = None
 



    def emit(self, record):
        if self.stream is None:
           self.stream = self._open()
       
        StreamHandler.emit(self, record)  


log = logging.getLogger('cloud-init') 
log.setLevel(logging.DEBUG)
ch = SerialHandler('/dev/ttyS0')
ch.setLevel(logging.DEBUG)
formatter = logging.Formatter(LOGFILE_FORMAT)
ch.setFormatter(formatter)
log.addHandler(ch)

