#!/bin/bash
base_dir=`readlink -f $(dirname $0)`

cloudinit_version=`$base_dir/cloud-init --version | cut -d' ' -f2`
pkg_name=cloud-init-$cloudinit_version
build_dir=$base_dir/build/
pkg_dir=$build_dir/$pkg_name

rm -rf $build_dir
mkdir -p $pkg_dir
cp $base_dir/{cloud-init,cloud-init.service,cloud.cfg,clean,install.sh,uninstall.sh} $pkg_dir

cd $build_dir

tar -czvf ${pkg_name}.tgz $pkg_name
md5sum ${pkg_name}.tgz
