

import os
import logging
import cloudinit.cloud

from cloudinit import util
from cloudinit.config import cc_route
from cloudinit.distros import centos
from cloudinit.sources import DataSourceAliYun
from cloudinit.distros import centos, ubuntu, debian, sles, opensuse

from .. import helpers

import pdb

LOG = logging.getLogger(__name__)

class TestRoute(helpers.FilesystemMockingTestCase):
    def setUp(self):
        super(TestRoute, self).setUp()
        self.tmp = self.makeDir(prefix="unittest_")
        self.cfg = { 'route_conf': [
                                ' '.join(('100.64.0.0', '16', '192.168.122.1', 'eth0')),
                                ' '.join(('10.0.0.0', '8', '192.168.122.1', 'eth0')),
                                ' '.join(('0.0.0.0', '0', '192.168.122.1', 'eth0')) ]
                        }
        self.paths = self.getCloudPaths()

        self.patchUtils(self.tmp)
        self.patchOS(self.tmp)

    def test_redhat_route(self):
        d = centos.Distro('centos', self.cfg, self.paths)
        cloud = cloudinit.cloud.Cloud(datasource='', paths=self.paths, cfg='', distro=d, runners='')

        #pdb.set_trace()
        cc_route.handle('route', self.cfg, cloud, LOG, [])

    def test_debian_route(self):
        d = debian.Distro('ubuntu', self.cfg, self.paths)
        cloud = cloudinit.cloud.Cloud(datasource='', paths=self.paths, cfg='', distro=d, runners='')

        #pdb.set_trace()
        cc_route.handle('route', self.cfg, cloud, LOG, [])
    
    def test_suse_route(self):
        d = sles.Distro('sles', self.cfg, self.paths)
        cloud = cloudinit.cloud.Cloud(datasource='', paths=self.paths, cfg='', distro=d, runners='')

        #pdb.set_trace()
        cc_route.handle('route', self.cfg, cloud, LOG, [])

    def test_gentoo_route(self):
        pass
